Name: ssh
Summary: Secure Shell environment
%define version 3.0.1
Version: %{version}
Release: 1b
Source0: ftp://ftp.cs.hut.fi/pub/ssh/ssh-%{version}.tar.gz
Source1: localhost:/SSH
Source2: localhost:/StartupParameters.plist
NoSource: 0
Copyright: (C) 1995-2000 SSH Communications Security Ltd., Finland
URL:	<http://www.ssh.fi>
Group: Shells
BuildRoot: %{_tmppath}/ssh-root

%define prefix /usr
%define __perlbin %{prefix}/bin
%define __etcdir /private/etc
%define __startupdir /System/Library/StartupItems/SSH

%description
Ssh (Secure Shell) is a program to log into another computer over a network, to execute commands in a remote
machine, and to move files from one machine to another. It provides strong authentication and secure
communications over insecure channels. Its features include the following: 

    Strong authentication. Closes several security holes (e.g., IP, routing, DNS spoofing, and listening for
    passwords from the network). New authentication methods: .rhosts together with RSA based host
    authentication, and pure RSA authentication. 

    All communications are automatically and transparently encrypted. Encryption is also used to protect against
    spoofed packets and hijacked connections. 

    X11 connection forwarding provides secure X11 sessions. 

    Arbitrary TCP/IP ports can be redirected over the encrypted channel in both directions. 

    Client RSA-authenticates the server machine in the beginning of every connection to prevent trojan horses 
    (by routing or DNS spoofing) and man-in-the-middle attacks. The server RSA-authenticates the client machine
    before accepting .rhosts or %{__etcdir}/hosts.equiv authentication (to prevent DNS, routing, or IP spoofing). 

    An authentication agent, running in the user's local workstation or laptop, can be used to hold the user's
    RSA authentication keys. 

    Multiple convenience features fix annoying problems with rlogin and rsh. 

Ssh is intended as a complete replacement for rlogin, rsh, rcp, and rdist. It can also replace telnet 
in many cases. 

%package symlinks
Summary: Files and symbolic links to make this the default ssh
Group: Shells
%description symlinks
This package contains symbolic links for "s" commands and 
their corresponding "man" pages. It also provides an automatic
startup mechanism for sshd.


%prep
%setup

%build
env PERL='%{__perlbin}/perl' CFLAGS="$RPM_OPT_FLAGS" \
	./configure --prefix=%{prefix} \
		--with-etcdir=%{__etcdir}/ssh2 \
		--with-libwrap=%{_usr}/lib
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p -m755 $RPM_BUILD_ROOT%{__etcdir}
mkdir -p -m755 $RPM_BUILD_ROOT%{__startupdir}

make install DESTDIR=$RPM_BUILD_ROOT
ln -sf ssh2 $RPM_BUILD_ROOT%{prefix}/bin/slogin

install -m555 -c $RPM_SOURCE_DIR/SSH $RPM_BUILD_ROOT%{__startupdir}/
install -m444 -c $RPM_SOURCE_DIR/StartupParameters.plist $RPM_BUILD_ROOT%{__startupdir}/


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,wheel)
%doc LICENSE README CHANGES BUG.REPORT FAQ SSH2.QUICKSTART
%config(noreplace) %{__etcdir}/ssh2/ssh2_config
%config(noreplace) %{__etcdir}/ssh2/sshd2_config
%config %{__etcdir}/ssh2/ssh_dummy_shell.out
%{prefix}/bin/scp2
%{prefix}/bin/sftp-server2
%{prefix}/bin/sftp2
%{prefix}/bin/ssh-add2
%{prefix}/bin/ssh-agent2
%{prefix}/bin/ssh-askpass2
%{prefix}/bin/ssh-chrootmgr
%{prefix}/bin/ssh-dummy-shell
%{prefix}/bin/ssh-keygen2
%{prefix}/bin/ssh-probe2
%{prefix}/bin/ssh-pubkeymgr
%{prefix}/bin/ssh-signer2
%{prefix}/bin/ssh2
%{prefix}/sbin/sshd2
%{prefix}/man/man1/scp2.1
%{prefix}/man/man1/sftp2.1
%{prefix}/man/man1/ssh-add2.1
%{prefix}/man/man1/ssh-agent2.1
%{prefix}/man/man1/ssh-chrootmgr.1
%{prefix}/man/man1/ssh-dummy-shell.1
%{prefix}/man/man1/ssh-keygen2.1
%{prefix}/man/man1/ssh-probe2.1
%{prefix}/man/man1/ssh-pubkeymgr.1
%{prefix}/man/man1/ssh2.1
%{prefix}/man/man1/sshregex.1
%{prefix}/man/man5/ssh2_config.5
%{prefix}/man/man5/sshd2_config.5
%{prefix}/man/man8/sshd2.8

%files symlinks
%defattr(-,root,wheel)
%dir %{__startupdir}
%{__startupdir}/SSH
%{__startupdir}/StartupParameters.plist
%{prefix}/bin/scp
%{prefix}/bin/sftp
%{prefix}/bin/sftp-server
%{prefix}/bin/slogin
%{prefix}/bin/ssh
%{prefix}/bin/ssh-add
%{prefix}/bin/ssh-agent
%{prefix}/bin/ssh-askpass
%{prefix}/bin/ssh-keygen
%{prefix}/bin/ssh-probe
%{prefix}/bin/ssh-signer
%{prefix}/sbin/sshd
%{prefix}/man/man1/scp.1
%{prefix}/man/man1/sftp.1
%{prefix}/man/man1/ssh-add.1
%{prefix}/man/man1/ssh-agent.1
%{prefix}/man/man1/ssh-keygen.1
%{prefix}/man/man1/ssh-probe.1
%{prefix}/man/man1/ssh.1
%{prefix}/man/man8/sshd.8

%changelog
* Thu Oct 11 2001 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- 1st build of version 3.0.1 on MacOS X Release 10.1

* Fri Jul 27 2001 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- 1st build of version 3.0.1 on MacOS X Release

* Fri Jun 15 2001 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- 1st build of version 2.4.0 on MacOS X Release
